# $Revision: 1.7 $, $Date: 2011/04/25 19:12:55 $
%bcond_with	exp # experimental, turned on only when such exists
Summary:	Microcode image for Intel Wireless WiFi Link 5000AGN Adapter
Summary(pl.UTF-8):	Obraz mikrokodu dla układów bezprzewodowych Intel Wireless WiFi Link 5000AGN
%define	_module	5000
Name:		iwlwifi-%{_module}-ucode
Version:	8.83.5.1
Release:	4
License:	distributable
Group:		Base/Kernel
Source0:	http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}-1.tgz
# Source0-md5:	cec71b615f3ca6d7823c032da0be1b61
Source1:	http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-8.24.2.12.tgz
# Source1-md5:	45f74d052d52f6f473dc7a8d412f2274
Source2:	http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-5.4.A.11.tar.gz
# Source2-md5:	748860c5079dde1a1313e72511b9322a
%if %{with exp}
# http://www.intellinuxwireless.org/?n=experimental
Source3:	http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-exp-%{version}.tgz
# Source3-md5:	xx
%endif
URL:		http://www.intellinuxwireless.org/
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The file provided in this package must be present on your system in
order for the Intel Wireless WiFi Link 5000AGN driver for Linux
(iwlwifi-%{_module}) to operate on your system.

On adapter initialization, and at varying times during the uptime of
the adapter, the microcode is loaded into the RAM on the network
adapter. The microcode provides the low level MAC features including
radio control and high precision timing events (backoff, transmit,
etc.) while also providing varying levels of packet filtering which
can be used to keep the host from having to handle packets that are
not of interest given the current operating mode of the device.

%description -l pl.UTF-8
Plik dostarczany przez ten pakiet jest wymagany w systemie do
działania linuksowego sterownika dla układów bezprzewodowych Intel
Wireless WiFi Link 5000AGN (iwlwifi-%{_module}).

Przy inicjalizacji układu i w różnych chwilach w trakcie jego
działania mikrokod jest wczytywany do pamięci RAM układu. Mikrokod
udostępnia funkcje niskopoziomowe MAC, w tym sterowanie częścią
radiową i zdarzeniami wymagającymi dużej dokładności czasowej
(oczekiwania, transmisja itp.), a także różne poziomy filtrowania
pakietów, zapobiegające docieraniu do komputera pakietów
niepotrzebnych w danym trybie pracy urządzenia.

%prep
%setup -q -c -a1 -a2 %{?with_exp:-a3}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware

install */iwlwifi-%{_module}-*.ucode $RPM_BUILD_ROOT/lib/firmware
install iwlwifi-5000-ucode-8.83*/LICENSE.%{name} $RPM_BUILD_ROOT/lib/firmware/%{name}-LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc iwlwifi-5000-ucode-8.83*/README*
/lib/firmware/%{name}-LICENSE
/lib/firmware/*.ucode

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iwlwifi-5000-ucode.spec,v $
Revision 1.7  2011/04/25 19:12:55  arekm
- rel 4; new tarball

Revision 1.6  2011/03/11 10:56:43  arekm
rel 3; keep fw api version 1, 2 and 3

Revision 1.5  2011/03/05 15:02:34  arekm
- rel 2; experimental was released as stable, so there is no new exp anymore

Revision 1.4  2011/02/17 20:01:12  arekm
- 8.83.5.1 (experimental firmware; works much better than stable for n networks)

Revision 1.3  2009/06/25 05:36:14  arekm
- rel 2; include API1 firmware, too

Revision 1.2  2009/05/27 11:19:06  arekm
- up to 8.24.2.12 (API v2 firmware).

Revision 1.1  2008/06/24 14:04:45  blues
- initial

